import auth from './auth'
import errImg from './errImg'
import hidden from './hidden'
import imgPreview from './img-preview'
// import debounce from './debounce'
// import contextMenu from './contextMenu'
import select from './select'
// import statusControl from './statusControl'

const directives: anyObj = {
  auth,
  // debounce,
  // contextMenu,
  select,
  hidden,
  errImg,
  imgPreview,
  // statusControl,
}

export default {
  install(Vue: anyObj) {
    Object.keys(directives).forEach((key) => {
      Vue.directive(key, directives[key])
    })
  },
}
